%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   pycrypto
%define modv   2.4.1


Summary:       The Python Cryptography Toolkit
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       PD
Group:         Development/Libraries
Source0:       http://ftp.dlitz.net/pub/dlitz/crypto/%{modn}/%{modn}-%{modv}.tar.gz
URL:           http://www.dlitz.net/software/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dwayne C. Litzenberger <dlitz@dlitz.net>
Provides:      python(%{modn}) = %{modv}
Provides:      python(Crypto) = %{modv}
Provides:      python(Crypto.Cipher) = %{modv}
Provides:      python(Crypto.Hash) = %{modv}
Provides:      python(Crypto.Protocol) = %{modv}
Provides:      python(Crypto.PublicKey) = %{modv}
Provides:      python(Crypto.Random) = %{modv}
Provides:      python(Crypto.Util) = %{modv}
BuildRequires: python-devel >= 2.3.5 python-setuptools
BuildRequires: gmp-devel


%description
PyCrypto is a collection of cryptographic algorithms and protocols,
implemented for use from Python.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ACKS COPYRIGHT ChangeLog LEGAL README TODO
%{python_sitearch}/Crypto
%{python_sitearch}/*.egg-info


%changelog
* Wed Nov 23 2011 Peter Pramberger <peterpramb@member.fsf.org> - 2.4.1-1
- New version (2.4.1)

* Sun Sep 26 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.3-1
- New version (2.3)

* Thu Aug 05 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.2-1
- New version (2.2)

* Wed Apr 14 2010 Peter Pramberger <peterpramb@member.fsf.org> - 2.1.0-1
- New version (2.1.0)

* Tue Nov 04 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.0.1-1
- Initial build
